__gnu_pbds::detail::resize_policy< _Tp > Class Template Reference

`#include <resize_policy.hpp>`

## Public Types

typedef _Tp | size_type

## Public Member Functions

| resize_policy (const resize_policy &other)
size_type | get_new_size_for_arbitrary (size_type) const
size_type | get_new_size_for_grow () const
size_type | get_new_size_for_shrink () const
bool | grow_needed (size_type) const
void | notify_arbitrary (size_type)
void | notify_grow_resize ()
void | notify_shrink_resize ()
bool | resize_needed_for_grow (size_type) const
bool | resize_needed_for_shrink (size_type) const
bool | shrink_needed (size_type) const
void | swap (resize_policy< _Tp > &)

## Static Public Attributes

static const _Tp | min_size

## Detailed Description

template<typename _Tp>
class __gnu_pbds::detail::resize_policy< _Tp >

Resize policy for binary heap.

Definition at line 52 of file resize_policy.hpp.

## Member Typedef Documentation

## size_type

template<typename _Tp >

typedef _Tp __gnu_pbds::detail::resize_policy< _Tp >::size_type

Definition at line 68 of file resize_policy.hpp.

## Constructor & Destructor Documentation

## resize_policy() [1/2]

template<typename _Tp >

__gnu_pbds::detail::resize_policy< _Tp >::resize_policy | ( |  | ) |

inline

Definition at line 72 of file resize_policy.hpp.

## resize_policy() [2/2]

template<typename _Tp >

__gnu_pbds::detail::resize_policy< _Tp >::resize_policy | ( | const resize_policy< _Tp > & | other | ) |

inline

Definition at line 75 of file resize_policy.hpp.

## Member Function Documentation

## get_new_size_for_arbitrary()

template<typename _Tp >

resize_policy< _Tp >::size_type __gnu_pbds::detail::resize_policy< _Tp >::get_new_size_for_arbitrary | ( | size_type | size | ) | const

inline

Definition at line 170 of file resize_policy.hpp.

## get_new_size_for_grow()

template<typename _Tp >

resize_policy< _Tp >::size_type __gnu_pbds::detail::resize_policy< _Tp >::get_new_size_for_grow | ( |  | ) | const

inline

Definition at line 155 of file resize_policy.hpp.

## get_new_size_for_shrink()

template<typename _Tp >

resize_policy< _Tp >::size_type __gnu_pbds::detail::resize_policy< _Tp >::get_new_size_for_shrink | ( |  | ) | const

inline

Definition at line 161 of file resize_policy.hpp.

## notify_arbitrary()

template<typename _Tp >

void __gnu_pbds::detail::resize_policy< _Tp >::notify_arbitrary | ( | size_type | actual_size | ) |

inline

Definition at line 206 of file resize_policy.hpp.

## notify_grow_resize()

template<typename _Tp >

void __gnu_pbds::detail::resize_policy< _Tp >::notify_grow_resize | ( |  | ) |

inline

Definition at line 181 of file resize_policy.hpp.

## notify_shrink_resize()

template<typename _Tp >

void __gnu_pbds::detail::resize_policy< _Tp >::notify_shrink_resize | ( |  | ) |

inline

Definition at line 193 of file resize_policy.hpp.

## resize_needed_for_grow()

template<typename _Tp >

bool __gnu_pbds::detail::resize_policy< _Tp >::resize_needed_for_grow | ( | size_type | size | ) | const

inline

Definition at line 137 of file resize_policy.hpp.

## resize_needed_for_shrink()

template<typename _Tp >

bool __gnu_pbds::detail::resize_policy< _Tp >::resize_needed_for_shrink | ( | size_type | size | ) | const

inline

Definition at line 146 of file resize_policy.hpp.

## swap()

template<typename _Tp >

void __gnu_pbds::detail::resize_policy< _Tp >::swap | ( | resize_policy< _Tp > & | other | ) |

inline

Definition at line 128 of file resize_policy.hpp.

## Member Data Documentation

## min_size

template<typename _Tp >

const _Tp __gnu_pbds::detail::resize_policy< _Tp >::min_size

static

Definition at line 70 of file resize_policy.hpp.

The documentation for this class was generated from the following file:

- resize_policy.hpp